# ansible-role-debianunattended

Create a Debian ISO for unattended installation

Variables:
* debianunattended_debian_installer_language: de
* debianunattended_debian_installer_country: DE
* debianunattended_debian_installer_locale: de_DE.UTF-8
* debianunattended_keyboard_configuration_xkb_keymap: de
* debianunattended_hostname: "{{ debianunattended_hostname | default('debianunattended') }}"
* debianunattended_user_fullname: username
* debianunattended_username: username
* debianunattended_user_crypt_password: passwordhash
* debianunattended_time_zone: EU/Berlin
* debianunattended_additional_packages: git nano wget bash-completion curl socat multitail python-apt-common software-properties-common
* debianunattended_proxystring: http://hostname:port
* debianunattended_mirror: ftp.de.debian.org
#backup-ip-address for environment without dhcp
* debianunattended_staticip_ipaddress: 192.168.1.42
* debianunattended_staticip_netmask: 255.255.255.0
* debianunattended_staticip_gateway: 192.168.1.1
* debianunattended_staticip_nameservers: 192.168.1.1
* debianunattended_mirror: ftp.de.debian.org

Many Thanks to https://www.librebyte.net/en/systems-deployment/unattended-debian-installation/